Make sure that jjb-cleanup.sh allows unbound vars
[releng/global-jjb.git] / shell / maven-fetch-metadata.sh
index d3670d0..26b2c96 100644 (file)
@@ -1,4 +1,4 @@
-#!/bin/bash
+#!/bin/bash -l
 # SPDX-License-Identifier: EPL-1.0
 ##############################################################################
 # Copyright (c) 2017 The Linux Foundation and others.
@@ -12,7 +12,7 @@
 # Uses wget to fetch a project's maven-metadata.xml files from a Maven repository.
 
 # Ensure we fail the job if any steps fail.
-set -eu -o pipefail
+set -xeu -o pipefail
 
 project=$(xmlstarlet sel \
     -N "x=http://maven.apache.org/POM/4.0.0" -t \